# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
name = "flo_curves"
version = "0.8.0"
authors = ["Andrew Hunter"]
build = false
include = [
    "Cargo.toml",
    "LICENSE",
    "src/**/*",
    "demos/src/**/*.rs",
    "demos/*.toml",
    "demos/*.md",
    "logo*.png",
    "README.md",
    "THANKS.md",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Library for manipulating Bezier curves"
documentation = "http://docs.rs/flo_curves/"
readme = "README.md"
keywords = [
    "bezier",
    "geometry",
    "graphics",
]
categories = [
    "algorithms",
    "rendering",
]
license = "Apache-2.0"
repository = "https://github.com/Logicalshift/flo_curves"

[features]
extra_checks = []

[lib]
name = "flo_curves"
path = "src/lib.rs"

[dependencies.itertools]
version = "0.11"

[dependencies.ouroboros]
version = "0.17"

[dependencies.roots]
version = "0.0.8"

[dependencies.smallvec]
version = "1.10"
features = ["const_generics"]

[dev-dependencies.criterion]
version = "0.5"

[dev-dependencies.rand]
version = "0.8"
